queue - Task #6810

Add a wireguard prometheus exporter to our infrastructure
06/08/2019 06:28 PM - Nico Schottelius

Status: Rejected Start date: 06/08/2019
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

PM Check date: 06/09/2019

Description

Parse output from wg show and make it available for prometheus

e Export "up" vpns
¢ Export received/sent traffic
e Export latest handshake

History

#1 - 06/09/2019 02:28 AM - Jason Kim
- PM Check date set to 06/09/2019

#2 - 06/14/2019 11:46 AM - Evil Ham
This sounds more interesting to me than "IPv6 is down", but:
Nico Schottelius wrote:
Parse output from wg show and make it available for prometheus
e Export "up" vpns
| must assume this means a count? Aka: how many peers are defined? how many are up?
Prometheus docs advise against using "per-client" (in this case per-vpn) labels as that can badly kill performance.
e Export received/sent traffic
¢ Export latest handshake
Easily doable from:
wg show all dump
From man wg:
If dump is specified, then several lines are printed; the
first contains in order separated by tab: private-key, public-
key, listen-port, fwmark. Subsequent lines are printed for each
peer and contain in order separated by tab: public-key,

preshared-key, endpoint, allowed-ips, latest-handshake,
transfer-rx, transfer-tx, persistent-keepalive.

#3 - 06/14/2019 12:01 PM - Nico Schottelius

Re per-client: | see the "prometheus problem" - however it would be very interesting to see which client uses how much traffic / in out, which would
help a lot for load balancing (i.e. move clients xyz to vpnserver A)

| wonder if there is a "nice" solution to this

#4 - 07/17/2019 06:59 PM - Evil Ham

BTW: https://github.com/MindFlavor/prometheus_wireguard_exporter
#5 - 07/17/2019 07:06 PM - Nico Schottelius
- Subject changed from Create a wireguard prometheus exporter to Add a wireguard prometheus exporter to our infrastructure

Thanks for the hint Evilham!

#6 - 01/03/2024 10:47 AM - Nico Schottelius

- Status changed from New to Rejected
